Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DVALRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DVALRecord

    public final class DVALRecord

extends StandardRecord

Title: DATAVALIDATIONS Record (0x01B2)

Description: used in data validation ; This record is the list header of all data validation records (0x01BE) in the current sheet.

Author:
  Dragos Buleandra (dragos.buleandra@trade2b.ro)

Field Summary
`static short` | `sid`

Constructor Summary
`DVALRecord()`
`DVALRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`int` | `getDVRecNo()` Get number of following DV records
`int` | `getHorizontalPos()`
`int` | `getObjectID()` get Object ID of the drop down arrow object for list boxes
`short` | `getOptions()`
`short` | `getSid()` return the non static version of the id for this record.
`int` | `getVerticalPos()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setDVRecNo(int dvNo)` Set the number of following DV records
`void` | `setHorizontalPos(int horiz_pos)`
`void` | `setObjectID(int cboID)` set the object ID of the drop down arrow object for list boxes
`void` | `setOptions(short options)`
`void` | `setVerticalPos(int vert_pos)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DVALRecord

    public DVALRecord()

### DVALRecord

    public DVALRecord(RecordInputStream in)

Method Detail

### setOptions

    public void setOptions(short options)

  Parameters:
    `options` - the options of the dialog

### setHorizontalPos

    public void setHorizontalPos(int horiz_pos)

  Parameters:
    `horiz_pos` - the Horizontal position of the dialog

### setVerticalPos

    public void setVerticalPos(int vert_pos)

  Parameters:
    `vert_pos` - the Vertical position of the dialog

### setObjectID

    public void setObjectID(int cboID)

  set the object ID of the drop down arrow object for list boxes

  Parameters:
    `cboID` - - Object ID

### setDVRecNo

    public void setDVRecNo(int dvNo)

  Set the number of following DV records

  Parameters:
    `dvNo` - - the DV records number

### getOptions

    public short getOptions()

  Returns:
    the field_1_options

### getHorizontalPos

    public int getHorizontalPos()

  Returns:
    the Horizontal position of the dialog

### getVerticalPos

    public int getVerticalPos()

  Returns:
    the the Vertical position of the dialog

### getObjectID

    public int getObjectID()

  get Object ID of the drop down arrow object for list boxes

### getDVRecNo

    public int getDVRecNo()

  Get number of following DV records

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.